## ros-kinetic-gencpp 0.6.0

=== debian/changelog ===
ros-kinetic-gencpp (0.6.0-0xenial) xenial; urgency=high

  * add plugin support for generated C++ message headers (#32 <https://github.com/ros/gencpp/pull/32>)
  * put all the message integer constants into a common enum (#25 <https://github.com/ros/gencpp/issues/25>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 29 Jan 2018 08:00:00 -0000

ros-kinetic-gencpp (0.5.5-0xenial) xenial; urgency=high

  * fix extra semicolon warning (#26 <https://github.com/ros/gencpp/issues/26>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jun 2016 07:00:00 -0000

ros-kinetic-gencpp (0.5.4-0xenial) xenial; urgency=high

  * fix unused parameter warning (#24 <https://github.com/ros/gencpp/issues/24>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 14 Mar 2016 07:00:00 -0000

ros-kinetic-gencpp (0.5.3-0xenial) xenial; urgency=high

  * remove copyright header from generated code (#20 <https://github.com/ros/gencpp/issues/20>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-kinetic-gencpp (0.5.2-0xenial) xenial; urgency=high

  * add architecture_independent flag in package.xml (#19 <https://github.com/ros/gencpp/issues/19>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-kinetic-gencpp (0.5.1-0xenial) xenial; urgency=high

  * use catkin_install_python() to install Python scripts (#18 <https://github.com/ros/gencpp/issues/18>)
  * add 'u' suffix to unsigned enum values to avoid compiler warning (#16 <https://github.com/ros/gencpp/issues/16>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Feb 2014 08:00:00 -0000

ros-kinetic-gencpp (0.5.0-0xenial) xenial; urgency=high

  * remove __connection_header from message template (#3 <https://github.com/ros/gencpp/issues/3>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 Jan 2014 08:00:00 -0000

ros-kinetic-gencpp (0.4.16-0xenial) xenial; urgency=high

  * fix warning about empty message definition (ros/ros_comm#344 <https://github.com/ros/ros_comm/issues/344>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jan 2014 08:00:00 -0000

ros-kinetic-gencpp (0.4.15-0xenial) xenial; urgency=high

  * python 3 compatibility
  * fix generated code of message definition with windows line endings (#6 <https://github.com/ros/gencpp/issues/6>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-kinetic-gencpp (0.4.14-0xenial) xenial; urgency=high

  * make gencpp relocatable (ros/catkin#490 <https://github.com/ros/catkin/issues/490>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-kinetic-gencpp (0.4.13-0xenial) xenial; urgency=high

  * update message targets to depend on template
  * update msg template to generate empty functions without warnings about unused variables (#4 <https://github.com/ros/gencpp/issues/4>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 18 Jun 2013 07:00:00 -0000

ros-kinetic-gencpp (0.4.12-0xenial) xenial; urgency=high

  * fix handling spaces in folder names (ros/catkin#375 <https://github.com/ros/catkin/issues/375>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 08:00:00 -0000

ros-kinetic-gencpp (0.4.11-0xenial) xenial; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Dec 2012 08:00:00 -0000
