=== debian/control ===
Source: ros-kinetic-gencpp
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin (>= 0.5.78), ros-kinetic-genmsg
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-gencpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-genmsg
Description: C++ ROS message and service generators.
